commit:     113e7f36c2e9ab1129668eea0a04067166b93985
Author:     Olivier Laurantin <olivier.laurantin <AT> laposte <DOT> net>
AuthorDate: Fri May 20 06:57:48 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri May 20 08:38:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=113e7f36

net-wireless/blueberry: version bump to 1.4.7

Update to latest upstream version
Add python 3.10 support

Closes: https://bugs.gentoo.org/846185
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Olivier Laurantin <olivier.laurantin <AT> laposte.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-wireless/blueberry/Manifest               |  1 +
 net-wireless/blueberry/blueberry-1.4.7.ebuild | 61 +++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/net-wireless/blueberry/Manifest b/net-wireless/blueberry/Manifest
index 48658733cded..5868caf5967e 100644
--- a/net-wireless/blueberry/Manifest
+++ b/net-wireless/blueberry/Manifest
@@ -1 +1,2 @@
 DIST blueberry-1.4.6.tar.gz 1415484 BLAKE2B 
2b0a737d6e9e10f4f8502ab6af5e90b35e2eb651a48b431a0738cf06817ca49f12e9cdf6e0a3221b42370a00cca23c7da54d75c1f801968f1ee6d87dc3523590
 SHA512 
580b0a0434bb3c980158361a22ad0d8a502cb8b9c5d92adf4e97fdc28405bd5422709d4c605923371284457389f68aebce3e4599b7dd0c35866b65bb4fc2355a
+DIST blueberry-1.4.7.tar.gz 1415642 BLAKE2B 
59b419d73416105d3d853cc8c5f6cba3f1171f441478ec7f3bdfaaeea22ce07afef3da372a1f993345a7fb38621d0d163ebb4a4d9e8b9e919d71af47e79dfb98
 SHA512 
2562017da0a102d5fde2905aa4d76cbcd761eeb5e17b137bb6a0bd22d518dfb677bb6ce1e05eb109a1b8ae35588f56f0d42b56f455aaec174155614966551eee

diff --git a/net-wireless/blueberry/blueberry-1.4.7.ebuild 
b/net-wireless/blueberry/blueberry-1.4.7.ebuild
new file mode 100644
index 000000000000..b85fafd33ac2
--- /dev/null
+++ b/net-wireless/blueberry/blueberry-1.4.7.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8,9,10} )
+
+inherit gnome2-utils python-single-r1 xdg-utils
+
+DESCRIPTION="A Bluetooth configuration tool"
+HOMEPAGE="https://github.com/linuxmint/blueberry";
+SRC_URI="https://github.com/linuxmint/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       $(python_gen_cond_dep '
+               dev-python/dbus-python[${PYTHON_USEDEP}]
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+               dev-python/setproctitle[${PYTHON_USEDEP}]
+               dev-python/python3-xapp[${PYTHON_USEDEP}]
+       ')
+       >=net-wireless/gnome-bluetooth-3.14:2[introspection]
+       net-wireless/bluez[obex]
+       net-wireless/bluez-tools
+       || (
+               >=sys-apps/util-linux-2.31_rc1
+               net-wireless/rfkill
+       )
+       x11-libs/libnotify[introspection]
+       x11-misc/wmctrl"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+       python_fix_shebang usr/lib
+}
+
+src_install() {
+       doins -r etc
+       exeinto /usr/bin
+       doexe usr/bin/*
+       exeinto /usr/lib/blueberry
+       doexe usr/lib/blueberry/*
+       insinto /usr
+       doins -r usr/share
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_icon_cache_update
+}

Reply via email to